## clutter-gtk 1.8.4

=== meson_options.txt ===
option('enable_docs',
       type: 'boolean',
       value: false,
       description: 'Enable generating the API reference (depends on GTK-Doc)')

## clutter-gtk 0.8.2-maemo0

=== debian/changelog ===
clutter-gtk (0.8.2-maemo0) unstable; urgency=low

  * New upstream release
  * Maemo adjustments

 -- Till Harbaum <till@harbaum.org>  Fri, 06 Mar 2009 18:46:22 +0100

clutter-gtk (0.6.0-2) unstable; urgency=low

  * Really make the -dbg package priority extra.

 -- Rob Bradford <robster@debian.org>  Mon, 18 Feb 2008 19:03:17 +0000

clutter-gtk (0.6.0-1) unstable; urgency=low

  * New upstream release.
  - Switch away from deprecated substvars.
  - Fix debian/copright file.
  - Make the -dbg package priority extra.

 -- Rob Bradford <robster@debian.org>  Mon, 18 Feb 2008 13:33:30 +0000

clutter-gtk (0.5.2-1) unstable; urgency=low

  * New (unstable) upstream release.

 -- Rob Bradford <robster@debian.org>  Mon, 11 Feb 2008 17:39:37 +0000

clutter-gtk (0.5.0-1) unstable; urgency=low

  * New (unstable) upstream release.

 -- Rob Bradford <robster@debian.org>  Thu, 17 Jan 2008 11:30:35 +0000

clutter-gtk (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed,  8 Aug 2007 14:13:46 +0100

clutter-gtk (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Fri, 23 Mar 2007 14:35:40 +0000

=== debian/control ===
Source: clutter-gtk
Section: libs
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Rob Bradford <robster@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libclutter-0.8-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: libclutter-gtk-0.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open GL based interactive canvas library GTK+ widget
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-gtk-0.8-dev
Section: libdevel
Architecture: any
Depends: libclutter-gtk-0.8-0 (= ${binary:Version}), pkg-config, libclutter-0.8-dev, libgtk2.0-dev, ${misc:Depends}
Suggests: libclutter-gtk-doc
Description: Open GL based interactive canvas library GTK+ widget (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-gtk-0.8-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libclutter-gtk-0.8-0 (= ${binary:Version})
Description: Open GL based interactive canvas library GTK+ widget (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files.

Package: libclutter-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Open GL based interactive canvas library GTK+ widget (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

## clutter-gtk 0.9.1+git20090608ubuntu1

=== debian/changelog ===
clutter-gtk (0.9.1+git20090608ubuntu1) jaunty; urgency=low

  * Don't remove the currently focused child when the stage is deactivated

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 04 Aug 2009 13:03:13 +0100

clutter-gtk (0.9.1+git20090608) jaunty; urgency=low

  * Checkout from git 20090608 (master branch) up to commit
    8ec62ca24c08e54322674541e6c516ecaf61f0b2

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 08 Jun 2009 17:25:14 +0100

clutter-gtk (0.9.0-1ubuntu1) jaunty; urgency=low

  * Add patch to fix on_stage_queue_redraw, which has the wrong prototype

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 09 Apr 2009 15:03:08 +0100

clutter-gtk (0.9.0-1) jaunty; urgency=low

  * New upstream release

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Apr 2009 11:47:40 +0100

clutter-gtk (0.8.2-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add --enable-gtk-doc to the ./configure call for nice docs.
    - Add gtk-doc-tools to Build-Depends.
    - Bump shlibs due to API additions.

 -- James Westby <james.westby@canonical.com>  Sat, 08 Nov 2008 00:56:49 +0000

clutter-gtk (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Rob Bradford <robster@debian.org>  Wed, 15 Oct 2008 15:34:09 +0100

clutter-gtk (0.8.2-0ubuntu1) intrepid; urgency=low

  * New upstream nearly-bugfix release (LP: #283341)
  * Bump shlibs due to API additions.

 -- James Westby <james.westby@canonical.com>  Mon, 20 Oct 2008 16:07:53 +0100

clutter-gtk (0.8.1-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Add gtk-doc-tools to Build-Depends.
    - Add --enable-gtk-doc to the ./configure call for nice docs.
  * Ubuntu changes dropped:
    - apply upstream patch from r3150
    - added 01_fix_pkgconfig_file.patch to fix version-number typo

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 09 Aug 2008 01:40:10 +1000

clutter-gtk (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Rob Bradford <robster@debian.org>  Fri, 18 Jul 2008 15:37:02 +0100

clutter-gtk (0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Rob Bradford <robster@debian.org>  Wed, 16 Jul 2008 11:11:52 +0100

clutter-gtk (0.8.0-0ubuntu5) intrepid; urgency=low

  * apply upstream patch from r3150 (see http://svn.o-hand.com/view/clutter/trunk/
    clutter-gtk/clutter-gtk/gtk-clutter-embed.c?rev=3150) to fix wrong name for
    pointer-motion-mask, so motion-, enter- and leave-events get triggered

 -- Mirco Müller (MacSlow) <mirco.mueller@ubuntu.com>  Fri, 18 Jul 2008 14:16:06 +0100

clutter-gtk (0.8.0-0ubuntu4) intrepid; urgency=low

  * revision-bump for creating intrepid-packages

 -- Mirco Müller (MacSlow) <mirco.mueller@ubuntu.com>  Thu, 17 Jul 2008 16:47:27 +0100

clutter-gtk (0.8.0-0ubuntu3) hardy; urgency=low

  * added 01_fix_pkgconfig_file.patch to fix version-number typo, fixed upstream

 -- Mirco Müller (MacSlow) <mirco.mueller@ubuntu.com>  Thu, 17 Jul 2008 16:41:14 +0100

clutter-gtk (0.8.0-0ubuntu2) hardy; urgency=low

  * revision-bump for creating hardy-packages

 -- Mirco Müller (MacSlow) <mirco.mueller@ubuntu.com>  Thu, 17 Jul 2008 15:48:26 +0100

clutter-gtk (0.8.0-0ubuntu1) intrepid; urgency=low

  * grabbed official 0.8.0 release-tarball from upstream
  * based on earlier package from Ross Burton <ross@debian.org>
  * added gtk-doc-tools to Build-Depends in debian/control
  * added --enable-gtk-doc to debian/rules to ensure proper building of
    doc-package

 -- Mirco Müller (MacSlow) <mirco.mueller@ubuntu.com>  Thu, 17 Jul 2008 14:46:21 +0100

clutter-gtk (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 02 Jul 2008 15:14:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: clutter-gtk
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Rob Bradford <robster@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, libclutter-0.8-dev, libgtk2.0-dev
+Build-Depends: debhelper (>= 5), cdbs, libclutter-0.9-dev, libgtk2.0-dev, gtk-doc-tools
 Standards-Version: 3.7.2
 
-Package: libclutter-gtk-0.8-0
+Package: libclutter-gtk-0.9-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -15,10 +16,10 @@
  fast, mainly 2D single window applications such as media box UIs,
  presentations, kiosk style applications and so on.
 
-Package: libclutter-gtk-0.8-dev
+Package: libclutter-gtk-0.9-dev
 Section: libdevel
 Architecture: any
-Depends: libclutter-gtk-0.8-0 (= ${binary:Version}), pkg-config, libclutter-0.8-dev, libgtk2.0-dev, ${misc:Depends}
+Depends: libclutter-gtk-0.9-0 (= ${binary:Version}), pkg-config, libclutter-0.9-dev, libgtk2.0-dev, ${misc:Depends}
 Suggests: libclutter-gtk-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)
  Clutter is an Open GL based interactive canvas library, designed for creating
@@ -27,11 +28,11 @@
  .
  This package contains the development files.
 
-Package: libclutter-gtk-0.8-dbg
+Package: libclutter-gtk-0.9-dbg
 Section: libdevel
 Architecture: any
 Priority: extra
-Depends: libclutter-gtk-0.8-0 (= ${binary:Version})
+Depends: libclutter-gtk-0.9-0 (= ${binary:Version})
 Description: Open GL based interactive canvas library GTK+ widget (debug files)
  Clutter is an Open GL based interactive canvas library, designed for creating
  fast, mainly 2D single window applications such as media box UIs,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
DEB_COMPRESS_EXCLUDE = .c

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

DEB_DH_MAKESHLIBS_ARGS_libclutter-gtk-0.8-0 = -V 'libclutter-gtk-0.8-0 (>= 0.8.2)'

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=2
http://www.clutter-project.org/sources/clutter-gtk/([\d.]+[024689])/clutter-gtk-(.*)\.tar\.gz

## clutter-gtk 0.10.2-0maemo1

=== debian/changelog ===
clutter-gtk (0.10.2-0maemo1) unstable; urgency=low

  * Initial release

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sat,  5 Sep 2009 09:50:05 +0300

=== debian/control ===
Source: clutter-gtk
Section: libs
Priority: optional
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper, cdbs (>= 0.4), libgtk2.0-dev, libclutter-1.0-dev (>= 1.0.5-0maemo3), gtk-doc-tools
Standards-Version: 3.7.2

Package: libclutter-gtk-0.10-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open GL based interactive canvas library Gtk+ widget
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-gtk-0.10-dev
Section: libdevel
Architecture: any
Depends: libclutter-gtk-0.10-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, ${misc:Depends}
Description: Open GL based interactive canvas library Gtk+ widget (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-gtk-0.10-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libclutter-gtk-0.10-0 (= ${Source-Version})
Description: Open GL based interactive canvas library Gtk+ widget (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_COMPRESS_EXCLUDE = .c
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq (,$(findstring i386,$(ARCH)))
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=x11 \
			     --enable-debug=no
else
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=x11 \
			     --enable-debug=no
endif

## clutter-gtk 0.91.8

=== debian/changelog ===
clutter-gtk (0.91.8-2) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 15:20:15 +0000

clutter-gtk (0.91.8-1) experimental; urgency=low

  * New upstream release.
    - debian/libclutter-gtk-1.0-0.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Jan 2011 14:52:18 +0000

clutter-gtk (0.91.6-1) experimental; urgency=low

  * New upstream release.
    - debian/control.in:
      + Updated build dependencies.
    - debian/patches/01_window_dont_use_size-request.patch,
      debian/patches/02_offscreen_dont_use_site-request.patch:
      + Removed, included upstream.
    - debian/libclutter-gtk-1.0-0.symbols:
      + Updated for the new version.
  * debian/rules:
    - Add a get-orig-source target.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:57:50 +0000

clutter-gtk (0.91.4-3) experimental; urgency=low

  * debian/control.in:
    - Don't build depend on gir-repository-dev, it's not needed. Thanks
      Sebastien Bacher.
  * Update to the new gir policy:
    - Rename gir1.0-clutter-gtk-1.0 to gir1.2-gtkclutter-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 13 Dec 2010 00:49:59 +0100

clutter-gtk (0.91.4-2) experimental; urgency=low

  * Add a gir package, thanks Sebastien Bacher. Closes: #591801.
  * Bump minimum build dependencies to get 1.2 girs.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Dec 2010 22:18:21 +0100

clutter-gtk (0.91.4-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * Rename debian/libclutter-gtk-doc.links to
    debian/libclutter-gtk-0.10-doc.links and fix symlink path

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Rename the source package.
  * debian/patches/01_window_dont_use_size-request.patch,
    debian/patches/02_offscreen_dont_use_site-request.patch:
    - Patches from git, build with latest gtk+3.
  * debian/control.in:
    - Update build dependencies.
    - Update Vcs-* fields.
    - Wrap relationship fields.
  * debian/control.in,
    debian/*{0.10,1.0}*:
    - Rename binary packages for the new SONAME.
  * debian/libclutter-gtk-1.0-0.symbols:
    - Updated.
  * debian/copyright:
    - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Dec 2010 16:35:16 +0100

clutter-gtk-0.10 (0.10.8-1) experimental; urgency=low

  * New upstream release
  * Use uploaders.mk magic to handle debian/control
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control.in:
    - Wrap build-dependencies
    - Bump Standards-Version to 3.9.1
    - Add Homepage field
    - Add Vcs-Svn and Vcs-Browser fields
    - Add gnome-pkg-tools build-dependency
    - Suggest the correct documentation binary
    - Remove duplicate Section field
  * debian/rules:
    - Add include uploaders.mk
    - Drop include simple-patchsys.mk

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Oct 2010 20:19:35 +0200

clutter-gtk-0.10 (0.10.4-1) unstable; urgency=low

  * New upstream release
  - Doesn't use deprecated GTK+ symbols (Closes: #576971)

 -- Rob Bradford <robster@debian.org>  Sun, 01 Aug 2010 22:22:52 +0100

clutter-gtk-0.10 (0.10.2-1) unstable; urgency=low

  * New upstream release
  * debian/libclutter-gtk-0.10-0.symbols: Added
  * debian/control: Add Myself to Uploaders
  * debian/control: Make libclutter-gtk-0.10-doc depends on libclutter-1.0-doc
  * debian/copyright: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 30 Aug 2009 15:46:51 +0100

clutter-gtk (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Minor lintian fixes

 -- Ross Burton <ross@debian.org>  Fri, 19 Jun 2009 15:46:22 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: clutter-gtk
Section: libs
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Rob Bradford <robster@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools,
               libgtk-3-dev (>= 3.0.0),
               libclutter-1.0-dev (>= 1.3.8),
               libjson-glib-dev (>= 0.12),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-atk-1.0,
               gir1.2-clutter-1.0,
               gir1.2-freedesktop,
               gir1.2-gtk-3.0,
               gir1.2-glib-2.0,
               gir1.2-json-glib-1.0,
               gir1.2-pango-1.0
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/clutter-gtk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/clutter-gtk/
Homepage: http://www.clutter-project.org/

Package: libclutter-gtk-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open GL based interactive canvas library GTK+ widget
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-gtk-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
         pkg-config,
         libgtk-3-dev (>= 3.0.0),
         libclutter-1.0-dev (>= 1.3.8),
         ${misc:Depends}
Suggests: libclutter-gtk-1.0-doc
Description: Open GL based interactive canvas library GTK+ widget (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-gtk-1.0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Open GL based interactive canvas library GTK+ widget (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files.

Package: libclutter-gtk-1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libclutter-gtk-doc,
           libclutter-gtk-0.10-doc
Replaces: libclutter-gtk-doc,
          libclutter-gtk-0.10-doc
Recommends: libclutter-1.0-doc
Suggests: devhelp
Description: Open GL based interactive canvas library GTK+ widget (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

Package: gir1.2-gtkclutter-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Conflicts: gir1.0-clutter-gtk-1.0
Replaces: gir1.0-clutter-gtk-1.0
Description: GObject introspection data for the GTK+ Clutter library
 This package contains introspection data for the GTK+ Clutter widget.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_DOWNLOAD_URL = http://www.clutter-project.org/sources/$(GNOME_MODULE)/$(DEB_UPSTREAM_VERSION_MAJOR_MINOR)/$(GNOME_TARBALL)

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
DEB_COMPRESS_EXCLUDE = .c

DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection=yes

common-binary-predeb-arch:: list-missing

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

=== debian/watch ===
version=2
http://www.clutter-project.org/sources/clutter-gtk/([\d.]+[02468])/clutter-gtk-(.*)\.tar\.gz

## clutter-gtk 1.0.0

=== debian/changelog ===
clutter-gtk (1.0.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Laurent Bigonville ]
  * New upstream release.
    - Bump libclutter-1.0-dev Build-dependency to 1.4.0
  * debian/control.in:
    - Bump Standards-Version to 3.9.2
    - Drop duplicate section to please lintian
  * debian/libclutter-gtk-1.0-0.symbols: Drop symbols that where not supposed
    to be exported

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                cdbs,
                gnome-pkg-tools,
                libgtk-3-dev (>= 3.0.0),
-               libclutter-1.0-dev (>= 1.3.8),
+               libclutter-1.0-dev (>= 1.4.0),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.9.12-4~),
@@ -23,7 +23,7 @@
                gir1.2-glib-2.0,
                gir1.2-json-glib-1.0,
                gir1.2-pango-1.0
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/clutter-gtk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
@@ -41,9 +41,10 @@
 Section: libdevel
 Architecture: any
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
+         gir1.2-gtkclutter-1.0 (= ${binary:Version}),
          pkg-config,
          libgtk-3-dev (>= 3.0.0),
-         libclutter-1.0-dev (>= 1.3.8),
+         libclutter-1.0-dev (>= 1.4.0),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)
@@ -84,7 +85,6 @@
  This package contains the documentation.
 
 Package: gir1.2-gtkclutter-1.0
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

## clutter-gtk 1.0.2

=== debian/changelog ===
clutter-gtk (1.0.2-0ubuntu2) oneiric; urgency=low

  * debian/control.in: don't build-depends on gir installed by libraries 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Jul 2011 17:47:11 +0200

clutter-gtk (1.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Jul 2011 16:28:09 +0200

clutter-gtk (1.0.0-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, no diff by a different tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 May 2011 10:58:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: clutter-gtk
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Rob Bradford <robster@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs,
                gnome-pkg-tools,
@@ -15,14 +16,7 @@
                libclutter-1.0-dev (>= 1.4.0),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.9.12),
-               gobject-introspection (>= 0.9.12-4~),
-               gir1.2-atk-1.0,
-               gir1.2-clutter-1.0,
-               gir1.2-freedesktop,
-               gir1.2-gtk-3.0,
-               gir1.2-glib-2.0,
-               gir1.2-json-glib-1.0,
-               gir1.2-pango-1.0
+               gobject-introspection (>= 0.9.12-4~)
 Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/clutter-gtk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/clutter-gtk/

## clutter-gtk 1.0.4

=== debian/changelog ===
clutter-gtk (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 01 Oct 2011 14:27:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-GNOME_DOWNLOAD_URL = http://www.clutter-project.org/sources/$(GNOME_MODULE)/$(DEB_UPSTREAM_VERSION_MAJOR_MINOR)/$(GNOME_TARBALL)
 
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 DEB_COMPRESS_EXCLUDE = .c

=== debian/watch ===
version=2
http://download.gnome.org/sources/clutter-gtk/([\d.]+[02468])/clutter-gtk-(.*)\.tar\.bz2

## clutter-gtk 1.2.0

=== debian/changelog ===
clutter-gtk (1.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 May 2012 00:04:42 +0200

clutter-gtk (1.2.0-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Drop gir1.2-* dependencies which are pulled by *-dev packages
  * debian/watch: Switch to .xz tarball

  [ Michael Biebl ]
  * Change section of gir1.2-gtkclutter-1.0 to introspection.
  * Rely on cdbs to call dh_girepository. Bump Build-Depends accordingly.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Bump GTK to (>= 3.2.0) & clutter to (>= 1.9.16)
    - Standards-Version 3.9.3

  [ Laurent Bigonville ]
  * Follow multiarch policy

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 06:39:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
 Source: clutter-gtk
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 5),
-               cdbs,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 8.1.3),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools,
-               libgtk-3-dev (>= 3.0.0),
-               libclutter-1.0-dev (>= 1.4.0),
+               libgtk-3-dev (>= 3.2.0),
+               libclutter-1.0-dev (>= 1.9.16),
                libjson-glib-dev (>= 0.12),
-               libgirepository1.0-dev (>= 0.9.12),
+               libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/clutter-gtk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/clutter-gtk/
+Standards-Version: 3.9.3
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/clutter-gtk/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
 
 Package: libclutter-gtk-1.0-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Open GL based interactive canvas library GTK+ widget
  Clutter is an Open GL based interactive canvas library, designed for creating
  fast, mainly 2D single window applications such as media box UIs,
@@ -37,8 +38,8 @@
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
          gir1.2-gtkclutter-1.0 (= ${binary:Version}),
          pkg-config,
-         libgtk-3-dev (>= 3.0.0),
-         libclutter-1.0-dev (>= 1.4.0),
+         libgtk-3-dev (>= 3.2.0),
+         libclutter-1.0-dev (>= 1.9.16),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)
@@ -52,6 +53,7 @@
 Section: debug
 Architecture: any
 Priority: extra
+Multi-Arch: same
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Open GL based interactive canvas library GTK+ widget (debug files)
@@ -79,6 +81,7 @@
  This package contains the documentation.
 
 Package: gir1.2-gtkclutter-1.0
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 DEB_COMPRESS_EXCLUDE = .c
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection=yes
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+                             --enable-introspection=yes
 
 common-binary-predeb-arch:: list-missing
-
-$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
-	dh_girepository -p$(cdbs_curpkg)

## clutter-gtk 1.3.2

=== debian/changelog ===
clutter-gtk (1.3.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/libclutter-gtk-1.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Jul 2012 14:32:28 +1200

## clutter-gtk 1.4.2

=== debian/changelog ===
clutter-gtk (1.4.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 21 Dec 2012 14:14:39 +1300

clutter-gtk (1.4.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release (Closes: #690870)
  * debian/libclutter-gtk-1.0-0.symbols:
    - Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Oct 2012 22:33:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: clutter-gtk
 Section: libs
 Priority: optional

## clutter-gtk 1.4.4

=== debian/changelog ===
clutter-gtk (1.4.4-3ubuntu2) trusty; urgency=medium

  * No-change rebuild for new cogl

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 14 Jan 2014 20:44:46 +0000

clutter-gtk (1.4.4-3ubuntu1) trusty; urgency=medium

  * Apply autoreconf.
  * Enable parallel build.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 15:17:16 +0000

clutter-gtk (1.4.4-3) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS to not
    override hardening flags
  * debian/control.in:
    - Use canonical URL's for the Vcs-* fields
    - Bump Standards-Version to 3.9.4 (no further changes)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Aug 2013 18:23:21 +0200

clutter-gtk (1.4.4-2) experimental; urgency=low

  * debian/control.in:
    + Bump libclutter-1.0-dev requirement, needed for
      clutter_disable_accessibility.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Mar 2013 11:52:56 +0100

clutter-gtk (1.4.4-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Mar 2013 22:02:28 +0100

clutter-gtk (1.4.2-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 16 Mar 2013 00:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Source: clutter-gtk
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
-               libgtk-3-dev (>= 3.2.0),
-               libclutter-1.0-dev (>= 1.9.16),
+	       dh-autoreconf,
+	       gnome-common,
+               libgtk-3-dev (>= 3.6.0),
+               libclutter-1.0-dev (>= 1.13.10),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/clutter-gtk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/clutter-gtk/
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
 
 Package: libclutter-gtk-1.0-0
@@ -37,8 +40,8 @@
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
          gir1.2-gtkclutter-1.0 (= ${binary:Version}),
          pkg-config,
-         libgtk-3-dev (>= 3.2.0),
-         libclutter-1.0-dev (>= 1.9.16),
+         libgtk-3-dev (>= 3.6.0),
+         libclutter-1.0-dev (>= 1.13.10),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)

=== debian/watch ===
version=2
http://download.gnome.org/sources/clutter-gtk/([\d.]+[02468])/clutter-gtk-(.*)\.tar\.xz

## clutter-gtk 1.5.2

=== debian/changelog ===
clutter-gtk (1.5.2-2) unstable; urgency=medium

  * Update watch file to catch all versions.
  * autoreconf during the build.

 -- Iain Lane <laney@debian.org>  Mon, 28 Apr 2014 17:55:46 +0100

clutter-gtk (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 22:10:56 +0200

clutter-gtk (1.4.4-4) experimental; urgency=low

  * Build against experimental clutter

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 21:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: clutter-gtk
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
+               dh-autoreconf,
                gnome-pkg-tools,
-	       dh-autoreconf,
-	       gnome-common,
                libgtk-3-dev (>= 3.6.0),
-               libclutter-1.0-dev (>= 1.13.10),
+               libclutter-1.0-dev (>= 1.16),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)

## clutter-gtk 1.6.0

=== debian/changelog ===
clutter-gtk (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/git-revert-prefer-gdk.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:16:34 +0200

clutter-gtk (1.5.4-2) unstable; urgency=medium

  * Add debian/patches/git-revert-prefer-gdk.patch (Closes: #761009)
    - backported from upstream git.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Sep 2014 18:27:31 +0200

clutter-gtk (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Bump Build-Depends on libclutter-1.0-dev to (>= 1.18) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2014 00:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: clutter-gtk
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
                libgtk-3-dev (>= 3.6.0),
-               libclutter-1.0-dev (>= 1.16),
+               libclutter-1.0-dev (>= 1.18),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
@@ -40,7 +39,7 @@
          gir1.2-gtkclutter-1.0 (= ${binary:Version}),
          pkg-config,
          libgtk-3-dev (>= 3.6.0),
-         libclutter-1.0-dev (>= 1.13.10),
+         libclutter-1.0-dev (>= 1.18),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)

## clutter-gtk 1.6.2

=== debian/changelog ===
clutter-gtk (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Conflicts/Replaces from pre-wheezy.
  * Install typelib files into multiarch paths and mark gir1.2-gtkclutter-1.0
    as Multi-Arch: same.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on libclutter-1.0-dev to (>= 1.22.3) as per
    configure.ac.
  * Bump Standards-Versiont to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jul 2015 00:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
                libgtk-3-dev (>= 3.6.0),
-               libclutter-1.0-dev (>= 1.18),
+               libclutter-1.0-dev (>= 1.22.3),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
@@ -67,10 +67,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: libclutter-gtk-doc,
-           libclutter-gtk-0.10-doc
-Replaces: libclutter-gtk-doc,
-          libclutter-gtk-0.10-doc
 Recommends: libclutter-1.0-doc
 Suggests: devhelp
 Description: Open GL based interactive canvas library GTK+ widget (documentation)
@@ -86,8 +82,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}
-Conflicts: gir1.0-clutter-gtk-1.0
-Replaces: gir1.0-clutter-gtk-1.0
+Multi-Arch: same
 Description: GObject introspection data for the GTK+ Clutter library
  This package contains introspection data for the GTK+ Clutter widget.
  .

## clutter-gtk 1.6.6

=== debian/changelog ===
clutter-gtk (1.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 00:28:35 +0200

clutter-gtk (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump clutter to >= 1.23.7
    - bump gtk+ to >= 3.8.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 10:08:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
-               libgtk-3-dev (>= 3.6.0),
-               libclutter-1.0-dev (>= 1.22.3),
+               libgtk-3-dev (>= 3.8.0),
+               libclutter-1.0-dev (>= 1.23.7),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
 
@@ -38,8 +38,8 @@
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
          gir1.2-gtkclutter-1.0 (= ${binary:Version}),
          pkg-config,
-         libgtk-3-dev (>= 3.6.0),
-         libclutter-1.0-dev (>= 1.18),
+         libgtk-3-dev (>= 3.8.0),
+         libclutter-1.0-dev (>= 1.23.7),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
 Description: Open GL based interactive canvas library GTK+ widget (development files)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

DEB_COMPRESS_EXCLUDE = .c

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-introspection=yes

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=2
http://download.gnome.org/sources/clutter-gtk/([\d.]+)/clutter-gtk-(.*)\.tar\.xz

## clutter-gtk 1.8.0

=== debian/changelog ===
clutter-gtk (1.8.0-2) unstable; urgency=medium

  * Add debian/patches/git_disable-dubbel-buffer.patch
  * Convert from cdbs to dh.
  * Add NEWS, README to debian/docs
  * Drop libclutter-gtk-1.0-dbg and add dbgsym-migration to debian/rules.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 04 Sep 2016 16:17:06 +0200

clutter-gtk (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Don't rely on ./autogen.sh when running autoreconf, as this script does
    not exist in the dist tarball.
  * Drop pkg-config dependency from libclutter-gtk-1.0-dev and bump the
    libgtk-3-dev dependency.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 23:21:42 +0200

clutter-gtk (1.7.1~git20160315.d7f735e6-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bump gtk+ build-dependency to >= 3.19.4
  * Bump Standards-Version to 3.9.7.
  * Temporary changes for building from git snapshot:
    - export NOCONFIGURE=1
    - make dh-autoreconf run ./autogen.sh
    - add build-dependency on gtk-doc-tools
    - add --enable-gtk-doc configure flag

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 22:16:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
-               libgtk-3-dev (>= 3.8.0),
+               gtk-doc-tools,
+               libgtk-3-dev (>= 3.19.4),
                libclutter-1.0-dev (>= 1.23.7),
                libjson-glib-dev (>= 0.12),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
 Homepage: http://www.clutter-project.org/
@@ -37,8 +37,7 @@
 Architecture: any
 Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
          gir1.2-gtkclutter-1.0 (= ${binary:Version}),
-         pkg-config,
-         libgtk-3-dev (>= 3.8.0),
+         libgtk-3-dev (>= 3.19.4),
          libclutter-1.0-dev (>= 1.23.7),
          ${misc:Depends}
 Suggests: libclutter-gtk-1.0-doc
@@ -48,20 +47,6 @@
  presentations, kiosk style applications and so on.
  .
  This package contains the development files.
-
-Package: libclutter-gtk-1.0-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Multi-Arch: same
-Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Open GL based interactive canvas library GTK+ widget (debug files)
- Clutter is an Open GL based interactive canvas library, designed for creating
- fast, mainly 2D single window applications such as media box UIs,
- presentations, kiosk style applications and so on.
- .
- This package contains the debug files.
 
 Package: libclutter-gtk-1.0-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gnome,gir,autoreconf

override_dh_autoreconf:
	gtkdocize --copy
	autoreconf --force --install --verbose

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--enable-gtk-doc \
		--enable-introspection=yes

override_dh_strip:
	dh_strip --dbgsym-migration="libclutter-gtk-1.0-dbg (<< 1.8.0-2~)"

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X .c
